BDU:2021-01399: Уязвимость компонента Gem Name Handler менеджера для управления зависимостями gem в ruby приложениях Bundler, связанная с недостатком механизма управления генерацией кода, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании

Описание уязвимости Уязвимость компонента Gem Name Handler менеджера для управления зависимостями gem в ruby приложениях Bundler связана с некорректной обработкой gem с одинаковыми именами. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Вендор Сообщество свободного программного обеспечения, ООО «РусБИТех-Астра», АО "НППКТ"
Наименование ПО Debian GNU/Linux, Astra Linux Common Edition (запись в едином реестре российских программ №4433), Bundler, ОСОН ОСнова Оnyx (запись в едином реестре российских программ №5913)
Версия ПО
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 2.12 «Орёл» (Astra Linux Common Edition)
  • 10.0 (Debian GNU/Linux)
  • до 1.17.3-3+deb10u1 включительно (Bundler)
  • до 2.1 (ОСОН ОСнова Оnyx)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
  • Сообщество свободного программного обеспечения Debian GNU/Linux 8.0
  • Сообщество свободного программного обеспечения Debian GNU/Linux 9.0
  • ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» (запись в едином реестре российских программ №4433)
  • Сообщество свободного программного обеспечения Debian GNU/Linux 10.0
Тип ошибки Неверное управление генерацией кода (Внедрение кода)
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 04.10.2016
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для Bundler:
Обновление программного обеспечения до 2.1.4-2~bpo10+1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета bundler) до 2.1.4-1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета bundler) до 2.1.4-1 или более поздней версии

Для ОСОН Основа:
Обновление программного обеспечения bundler до версии 2.1.4-2~bpo10+1.osnova1
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Инъекция
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения